% 读取图像并进行裁剪工作
function ShowTIFFtitle(TIFF, caxis_max,mytitle)
%% 数据赋值
image = TIFF.cutrgb;
gasdata = TIFF.data;
% std_ = std(gasdata(:));
% thresh = min(0.5 * std_, 10);
% gasdata(gasdata < thresh) = 0;
%% PLOT1
imshow(image, 'InitialMagnification', 'fit');
hold on
h = imagesc(gasdata);
% 找到 0 值的位置并设置为透明
zerosIndices = (gasdata == 0);
set(h, 'AlphaData', ~zerosIndices);
% 绘制排放源位置
plot(TIFF.rowIndex, TIFF.colIndex, 'g.','MarkerSize', 15);
% 坐标轴设置
axis square
axis tight;
% Colormap设置
caxis([0 caxis_max])
cmap = mycolorbar(2);
colormap(gca, cmap);  % 使用颜色映射
% colorbar;
%% 图名
title(mytitle); % 图名
hold off

end